# Multiple Currencies

This chapter will show you how to setup your GnuCash accounts to use multiple currencies.

## Basic Concepts

GnuCash supports the use of multiple currencies in different accounts. For example, you can have a bank account setup in Euros, and another using British Pounds.

Some of the issues which arise when using multiple currencies is how do you transfer funds between accounts with different currencies? How do you calculate the overall value when you have mized currency accounts? How do reports deal with mixed currencies?

## Account Setup

Your default account currency is set in Edit -> Preferences -> International -> New Account Default Currency. You should set this parameter correctly, as it will save you much time when building your account structure.

When you create a new account, you have the option to define the commodity. For currency accounts, you can specify any one of the hundreds of currencies supported by GnuCash by simply selecting it from the currency commodity list. You will notice that the default currency is always whatever you have defined in the preferences. So, if you mostly work with Euros, but have the occasional Ethiopian Birr account, be sure to set your preferences to Euro.

As an example, let's set up a typical bank account scenario where you mostly work in US Dollars, but do also have a European bank account using the Euro currency. So, setup 2 bank accounts, one using the Euro currency, and another in dollars. One possible account structure for this would be:

    -Assets                          (USD)
       -Banks                        (USD)
          -US Bank                 (USD)
          -European Bank        (EUR)
    -Equity                          (USD)
       -Starting Balances USD (USD)
       -Starting Balances EUR (EUR)

    Note: the currency of each account is shown in parenthesis.

Since in this example you mostly work in USD, all of the parent accounts are set to USD. Of course, if you mostly work in Euros, you could change the currency of these parent accounts to EUR. To totals shown in the account tree window will always be converted to the currency of each particular account. Notice, we also setup 2 Starting Balances equity accounts, used to initially populate the 2 banks.

You could also setup just a single Starting Balance account and use a currency transfer to populate the "different currency" accounts. However, this is more advanced option, which is explain in a later section.

Below you see the result of this example, in which we start with USD 10000 and EUR 10000 in the two bank accounts. Notice that the total of the parent accounts only show the value of the currency of subaccounts with matching currencies. In the future you can setup the exchange rates between the currencies, and the parent accounts will calculate the converted value of all subaccounts. See the later section on how to do this.

Initial Account 2 Bank Setup

Initial setup of 2 bank account with different currencies. Notice that the "Total (Report)" column is being displayed. This is configured in the Options -> Account Fields to Display area.

## GnuCash Currency Support

GnuCash supports over a hundred currencies, from the Andorran Franc to the Zimbabwe Dollar. You will also find supports for some lesser popular currencies like the US Dollar, Canadian Dollar, European Euro, and British Pound.

## Setting International Preferences

For a full explanation of the International Preferences available, see the second chapter of this guide entitled "The Basics", specifically the Section "Setting Preferences".

## Recording Currency Exchange (How-To)

In order to view your account values displayed in a currency other than their native currency, you will need to set up currency exchange rates. This is accomplised using the Price Editor.

Open the Price Editor by going to Tools -> Price Editor. Click on the Add button to add a new currency exchange. A window will appear to allow you to select the commodity you wish to define the exchange rate for. Click on Select and set the Type to ISO4217 and the Currency/security to EUR (Euro). This window should appear like this:

Select Euro Commodity

Price Editor Select Commodity Window

Click Ok and in the Select Commodity window, set the exchange rate between the selected commodity and the selected currency. In this example, we will set the exchange rate to 1 EUR to 1 USD.

Select Commodity

Price Editor Select Commodity Window

Price Editor Window

The Price Editor window after setting the exchange rate between Euros and US Dollars

Account main window

The main account window after setting the exchange rate between Euros and US Dollars

## Recording Purchases in a Foreign Currency (How-To)

## Tracking Currency Investments (How-To)

## Reconciling Statements in a Foreign Currency (How-To)

## Updating Exchange Rates (How-To)

## Putting It All Together (Examples)